/**
 * @function _bud
 */
'use strict'

const fs = require('fs')
const path = require('path')
const pkg = require('../package.json')
const stringcase = require('stringcase')

/** @lends _bud */
function _bud (tmpl, name, params) {
  return {
    force: false,
    mode: '644',
    mkdirp: true,
    path: `${stringcase.snakecase(name)}/Dockerfile`,
    tmpl: tmpl,
    data: {
      name,
      params,
      generator: 'coz',
      today: new Date().toLocaleDateString(),
      pkg: pkg
    }
  }
}

module.exports = _bud
