/**
 * apeman bud for docker files.
 * @memberof module:apeman-bud-docker/lib
 * @function setup
 * @param {object} params - Template params.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

const fs = require('fs')
const assert = require('assert')
const _bud = require('./_bud')
const _tmpl = require('./_tmpl')

/** @lends setup */
function setup (params = {}) {
  assert.ok(params.name, 'name is required.')

  return [].concat(params.name).map((name) => {
    let tmpl = _tmpl(name)
    return _bud(tmpl, name, params)
  })
}

module.exports = setup
